Pub package name dispute

Issue

Some pub packages are no longer maintained (even Dart 2 incompatible), but I cannot contact the maintainer.

Is there any way to contact Pub moderator to ask for permission to continue the maintainece of such package? On the other hand, is it a good practice to ask to “inherit” these packages, or just create a new package with similar name, like graphql2, graphql3, enhanced_graphql, etc?

Solution

You would need the maintainer to pass ownership to you.

If the maintainer does not respond, just publish it under another available name. Similar or not is your decision. There is no guideline.

Answered By – Günter Zöchbauer

Answer Checked By – Mildred Charles (FlutterFixes Admin)

Leave a Reply

Your email address will not be published.